QPNGImagePacker(3qt)

NAME
QPNGImagePacker - Creates well-compressed PNG animations

#include <qpngio.h>

Inherits QPNGImageWriter.

  Public Members
QPNGImagePacker ( QIODevice *, int depth, int convflags )
void setPixelAlignment ( int x )
bool packImage ( const QImage & img )

DESCRIPTION
Creates well-compressed PNG animations.

By using transparency, QPNGImagePacker allows you to build a PNG image from a sequence of QImages.

MEMBER FUNCTION DOCUMENTATION

QPNGImagePacker::QPNGImagePacker ( QIODevice * iod, int storage_depth, int conversionflags )
Create an image packer that writes PNG data to iod, using a storage_depth bit encoding (use 8 or 32, depending on the desired quality and compression requirements).

bool QPNGImagePacker::packImage ( const QImage & img )
Add the image img to the PNG animation, analyzing the differences between this and the previous image to improve compression.

void QPNGImagePacker::setPixelAlignment ( int x )
Align pixel differences to x pixels. For example, using 8 can improve playback on certain hardware. Normally the default of 1-pixel alignment (ie. no alignment) gives bets compression and performance.

SEE ALSO
http://doc.trolltech.com/qpngimagepacker.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qpngimagepacker.3qt) and the Qt version (2.3.1).